View Issue Details

IDProjectCategoryView StatusLast Update
0001913Ham Radio DeluxeBugpublic2018-06-13 23:17
ReporterWA9PIE 
Assigned ToWA9PIE 
PrioritylowSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version6.4.0.843 
Summary0001913: WSI are inaccurate in the 55x builds or are causing Logbook to freeze/crash
DescriptionA few things have happened since the 55x builds.

1. It's no longer possible for the WSI values to update after a new QSO is added to the log.
2. Some strange symbol (yield sign with a minus sign through it) has appeared and it does not represent the accurate WSI for the spot.
3. Since the 55x build, users have reported that the cluster is pale while updating and causes Logbook to (appear to) freeze/crash.
Steps To ReproduceLaunch Logbook... connect to DX cluster... observe.

(I'll write a lengthier test procedure soon.)
Additional InformationWSI values should be determined when the spot is received - regardless of the users filter selections.

There are exactly two events that should trigger a WSI refresh.

1. A new QSO has been added to the log (user selects F7)
2. An update is made to an existing QSO in the log (user selects F7)

In both of these cases, only the spots that match the callsign (station) or country (DXCC numeric) of the logged station (from 1 & 2 above) should get updated. The entire DX cluster should not reinitialize.

There has been no request to add a yellow triangle with a minus sign on it.
TagsNo tags attached.
ModuleLogbook
Sub-ModuleDX Cluster
Testing N/A

Relationships

related to 0002098 closedK7ZCZ Logbook UI stalls for a while after connecting DX Cluster 

Activities

WA9PIE

2016-06-29 12:33

administrator   ~0002999

Additional detail:

http://tickets.hrdsoftwarellc.com/scp/tickets.php?id=6365

http://forums.hrdsoftwarellc.com/forum/hrd-6-x-peer-support-forums/hrd-6-2-logbook/38531-dx-cluster-worked-status

http://forums.hrdsoftwarellc.com/forum/hrd-6-x-peer-support-forums/hrd-6-2-logbook/38554-wsi-error

http://forums.hrdsoftwarellc.com/forum/hrd-6-x-peer-support-forums/hrd-6-2-logbook/38186-logbook-wsi-status-slow-to-update

WA9PIE

2016-07-02 18:58

administrator   ~0003000

Some more:

http://tickets.hrdsoftwarellc.com/scp/tickets.php?id=6400

http://tickets.hrdsoftwarellc.com/scp/tickets.php?id=6406

http://tickets.hrdsoftwarellc.com/scp/tickets.php?id=6399

K7ZCZ

2018-04-20 22:24

manager   ~0004868

This issue needs clear repro steps and a description of the desired behavior before progress can be made.

K7ZCZ

2018-04-20 22:31

manager   ~0004870

I think #3 is the same issue as 2098

WA9PIE

2018-04-25 23:36

administrator   ~0004890

Last edited: 2018-04-25 23:38

View 2 revisions

I believe this was related to the code that was added as options back in 2015 or so. We've pinned these options down and they are no longer enabled for the user. As a result, I think this is gone.

I'm changing this to low and move it off the current dev list and if we can't confirm it, we'll consider it done.

WA9PIE

2018-06-13 23:16

administrator   ~0005282

After re-testing with the 842 build, it's clear that this was completed at some point and not documented. We'll include this as an update to the next release.

Issue History

Date Modified Username Field Change
2016-06-29 12:31 WA9PIE New Issue
2016-06-29 12:33 WA9PIE Note Added: 0002999
2016-07-02 18:58 WA9PIE Note Added: 0003000
2018-04-13 10:22 WA9PIE Severity major => crash
2018-04-13 10:23 WA9PIE Project 2 - Next Dev List (Holding Area) => 3 - Current Dev List
2018-04-20 22:24 K7ZCZ Assigned To => WA9PIE
2018-04-20 22:24 K7ZCZ Status new => feedback
2018-04-20 22:24 K7ZCZ Note Added: 0004868
2018-04-20 22:31 K7ZCZ Relationship added related to 0002098
2018-04-20 22:31 K7ZCZ Note Added: 0004870
2018-04-25 23:36 WA9PIE Note Added: 0004890
2018-04-25 23:38 WA9PIE Priority high => low
2018-04-25 23:38 WA9PIE Severity crash => minor
2018-04-25 23:38 WA9PIE Status feedback => acknowledged
2018-04-25 23:38 WA9PIE Testing => Not Started
2018-04-25 23:38 WA9PIE Note Edited: 0004890 View Revisions
2018-04-25 23:38 WA9PIE Project 3 - Current Dev List => 1 - Backlog
2018-06-13 23:16 WA9PIE Status acknowledged => closed
2018-06-13 23:16 WA9PIE Resolution open => fixed
2018-06-13 23:16 WA9PIE Testing Not Started => N/A
2018-06-13 23:16 WA9PIE Note Added: 0005282
2018-06-13 23:17 WA9PIE Project 1 - Backlog => Ham Radio Deluxe
2018-06-13 23:17 WA9PIE Fixed in Version => 6.4.0.843